<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{purchaseOrder.idOrder}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><i class="fa fa-chevron-left"></i> &nbsp;{{'entity.action.back' | translate}}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
            </ul>
        </p-header>
        <div class="text-left" style="margin-bottom: 15px;">
            <div class="ui-g ui-fluid">
                <div class="ui-g-12 ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_purchaseNumber">Nomor Permintaan</label>
                        <input type="text" class="form-control" name="purchaseNumber" id="field_purchaseNumber"
                            [(ngModel)]="purchaseOrder.noPurchaseOrder" readonly />
                    </div>
                </div>
                <div class="ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label"  for="field_divition">Divisi</label>
                        <select class="form-control" id="field_divition" name="divition" [(ngModel)]="purchaseOrder.divition" [disabled]="readonly">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of divitions">{{divitionOption.value}}</option>
                        </select>
                    </div>
                </div>
                <div class="ui-md-4" [hidden]="(internal !== 'TEKNIK')">
                    <div class="form-group">
                        <label class="form-control-label"  for="field_Tipe">Tipe</label>
                        <select class="form-control" id="field_tipe" name="tipe" [(ngModel)]="inputTipe" [disabled]="readonly">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="tipeOption.value" *ngFor="let tipeOption of tipe">{{tipeOption.label}}</option>
                        </select>
                    </div>
                </div>
                <div class="ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtOrder">Tanggal Permintaan</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtOrder" name="input_dtOrder" [(ngModel)]="dtOrder"
                                dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_dtNecessity">Tgl Dibutuhkan</label>
                            <div class="input-group">
                                <p-calendar inputId="field_dtNecessity" name="input_dtNecessity" [(ngModel)]="dtNecessity"
                                dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                                [showTime]="true"
                                [showIcon]="true"></p-calendar>
                            </div>
                        </div>
                    </div>
                <!-- <div class="ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_Sifat">Sifat</label>
                        <select class="form-control" id="field_sifat" name="sifat" [(ngModel)]="purchaseOrder.sifat" editable="editable">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="sifatOption.value" *ngFor="let sifatOption of sifats">{{sifatOption.value}}</option>
                        </select>
                    </div>
                </div> -->
                <div class="ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label"  for="field_need">Peruntukan</label>
                        <select class="form-control" id="field_need" name="need" [(ngModel)]="purchaseOrder.needs" editable="editable">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="needOption.value" *ngFor="let needOption of needs">{{needOption.value}}</option>
                        </select>
                    </div>
                </div>
                <!-- <div class="ui-md-8">
                    <div class="form-group">
                        <label class="form-control-label" for="field_ket">Catatan</label>
                        <input type="text" class="form-control" name="ket" id="field_ket"
                            [(ngModel)]="inputKet" />
                    </div>
                </div> -->
                <div class="ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_appDept">Diusulkan Oleh</label>
                        <input type="text" class="form-control" name="appDept" id="field_appDept"
                        [(ngModel)]="purchaseOrder.appDept" />
                    </div>
                </div>
                <div class="ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_appPabrik">Kepala Bagian</label>
                        <input type="text" class="form-control" name="appPabrik" id="field_appPabrik"
                        [(ngModel)]="purchaseOrder.appPabrik" />
                    </div>
                </div>
                <div class="ui-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_appPembelian">Keuangan / Direksi</label>
                        <input type="text" class="form-control" name="appPembelian" id="field_appPembelian"
                            [(ngModel)]="purchaseOrder.appPembelian" />
                    </div>
                </div>
            </div>
        </div>
        <jhi-purchase-order-item-in-purchase-order-as-list [idPurchaseOrder]="idPurchaseOrder"></jhi-purchase-order-item-in-purchase-order-as-list>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>